<?php

    /**
     * Color Option
     *
     * @since 1.0.0
     */
    $wp_customize->add_panel(
        'newie_color_info',
        array(
                'priority'       => 195,
                'capability'     => 'edit_theme_options',
                'theme_supports' => '',
                'title'          => esc_html__( 'Theme Color Options','newie'),
             )
    );

    /*------------------------------------------------------------------
       Top Scroll Icon Color
     */

    $wp_customize->add_section(
        'newie_top_scroll_color_options',
        array(
                'title'		=> esc_html__( 'Top Scroll Color Option','newie'),
                'panel'     => 'newie_color_info',
                'priority'  => 6,
              )
    );


    $wp_customize->add_setting(
        'newie_theme_options[newie_top_scroll_icon_color]',
        array(
                'default' => $defaults['newie_top_scroll_icon_color'],
                'sanitize_callback' => 'sanitize_hex_color',

             )
    );


    $wp_customize->add_control( new WP_Customize_Color_Control(
        $wp_customize, 'newie_theme_options[newie_top_scroll_icon_color',
             array(
                    'label' => esc_html__( 'Top Scroll Icon Color','newie'),
                    'section' => 'newie_top_scroll_color_options',
                    'priority' => 9,
                   )
        )
    );


    $wp_customize->add_setting(
        'newie_theme_options[newie_top_scroll_bg_color]',
        array(
                'default' => $defaults['newie_top_scroll_bg_color'],
                'sanitize_callback' => 'sanitize_hex_color',

              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_top_scroll_bg_color]',
        array(
                'label' => esc_html__( 'Top Scroll Background Color','newie'),
                'section' => 'newie_top_scroll_color_options',
                'priority' => 9,

              )
        )
    );


    $wp_customize->add_setting(
        'newie_theme_options[newie_top_scroll_icon_color]',
        array(
                'default' => $defaults['newie_top_scroll_icon_color'],
                'sanitize_callback' => 'sanitize_hex_color',

              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_top_scroll_icon_color]',
        array(
                'label' => esc_html__( 'Top Scroll Icon Color','newie'),
                'section' => 'newie_top_scroll_color_options',
                'priority' => 9,

              )
        )
    );


/*-------------------------------------------------------------------------------------------*/
/**
 * Reset Options
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'newie_reset_option',
    array(
        'title' => esc_html__('Reset Options', 'newie'),
        'panel' => 'newie_color_info',
        'priority' => 6,
    )
);

/**
 * Reset Option
 */
$wp_customize->add_setting(
    'newie_theme_options[newie_color_reset_option]',
    array(
        'default' => $defaults['newie_color_reset_option'],
        'sanitize_callback' => 'newie_sanitize_select',
        'transport' => 'postMessage'
    )
);
$reset_option = newie_reset_option();
$wp_customize->add_control('newie_theme_options[newie_color_reset_option]',
    array(
        'label' => esc_html__('Reset Fonts/Color Options', 'newie'),
        'description' => sprintf( esc_html__('Caution: Reset theme settings according to the given options. Refresh the page after saving to view the effects', 'newie')),
        'section' => 'newie_reset_option',
        'type' => 'select',
        'choices' => $reset_option,
        'priority' => 20
    )
);




 /*
    -----------------------------------------------------------------------------*/

    /**
     * Basic Colors Options
     *
     * @since 1.0.0
     */
    $wp_customize->add_section(
        'newie_basic_color_option',
        array(
                'title'		=> esc_html__( 'Basic Colors Options ','newie'),
                'panel'     => 'newie_color_info',
                'priority'  => 4,
              )
    );


    $wp_customize->add_setting(
        'newie_theme_options[newie_primary_color]',
        array(
                'default' => $defaults['newie_primary_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'newie_theme_options[newie_primary_color]',
        array(
                'label' => esc_html__( 'Primary Color','newie'),
                'description' => esc_html__('We recommend choose  different  background color but not to choose similar to font color', 'newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 14,

              )
        )
    );



   /*-----------------------------------------------------------------------------*/
    /**
     * Top Header Background Color
     *
     * @since 1.0.0
     */

    $wp_customize->add_setting(
        'newie_theme_options[newie_top_header_background_color]',
        array(
                'default' => $defaults['newie_top_header_background_color'],
                'sanitize_callback' => 'sanitize_hex_color',

              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            'newie_theme_options[newie_top_header_background_color]',
            array(
                    'label' => esc_html__('Top Header Background Color', 'newie'),
                    'description' => esc_html__('Choose Top Background color', 'newie'),
                    'section' => 'newie_basic_color_option',
                    'priority' => 14,

                  )
            )
    );

    $wp_customize->add_setting(
        'newie_theme_options[newie_top_header_text_color]',
        array(
                'default' => $defaults['newie_top_header_text_color'],
                'sanitize_callback' => 'sanitize_hex_color',

              )
    );

  



  /*-----------------------------------------------------------------------------*/
    /**
     * Top Footer Background Color
     *
     * @since 1.0.0
     */

    $wp_customize->add_setting(
        'newie_theme_options[newie_top_footer_background_color]',
        array(
                'default' => $defaults['newie_top_footer_background_color'],
                'sanitize_callback' => 'sanitize_hex_color',

             )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'newie_theme_options[newie_top_footer_background_color]',
        array(
                'label' => esc_html__('Top Footer Background Color', 'newie'),
                'description' => esc_html__('Choose Background color', 'newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 22,

             )
        )
    );


 $wp_customize->add_setting(
        'newie_theme_options[newie_top_footer_border_color',
        array(
                'default' => $defaults['newie_top_footer_border_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'newie_theme_options[newie_top_footer_border_color]',
        array(
                'label' => esc_html__('Top Footer Border Color', 'newie'),
                'description' => esc_html__('Choose Border color', 'newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 22,
             )
        )
    );


    $wp_customize->add_setting(
        'newie_theme_options[newie_top_footer_title_color',
        array(
                'default' => $defaults['newie_top_footer_title_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'newie_theme_options[newie_top_footer_title_color]',
        array(
                'label' => esc_html__('Top Footer Title Color', 'newie'),
                'description' => esc_html__('Choose Title color', 'newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 22,
             )
        )
    );


    $wp_customize->add_setting(
        'newie_theme_options[newie_top_footer_text_color]',
        array(
                'default' => $defaults['newie_top_footer_text_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'newie_theme_options[newie_top_footer_text_color]',
         array(
                'label' => esc_html__('Top Footer Text Color', 'newie'),
                'description' => esc_html__('Choose Text color', 'newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 22,
              )
         )
    );

    /*-----------------------------------------------------------------------------*/
    /**
     * Bottom Footer Background Color
     *
     * @since 1.0.0
     */

    $wp_customize->add_setting(
        'newie_theme_options[newie_bottom_footer_background_color]',
        array(
                'default' => $defaults['newie_bottom_footer_background_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_bottom_footer_background_color]',
         array(
                'label' => esc_html__('Bottom Footer Background Color', 'newie'),
                'description' => esc_html__('Choose Background color', 'newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 23,
              )
         )
    );

    $wp_customize->add_setting(
        'newie_theme_options[newie_bottom_footer_text_color]',
        array(
                'default' => $defaults['newie_bottom_footer_text_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_bottom_footer_text_color]',
        array(
                'label' => esc_html__('Bottom Footer Text Color', 'newie'),
                'description' => esc_html__('Choose Text color', 'newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 23,
             )
        )
    );

    $wp_customize->add_setting(
        'newie_theme_options[newie_site_title_color_option]',
        array(
                'default' => $defaults['newie_site_title_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_site_title_color_option]',
         array(
                'label' => esc_html__( 'Site Title Color','newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 15,
               )
         )
    );

    $wp_customize->add_setting(
        'newie_theme_options[newie_site_title_hover_color_option]',
        array(
                'default' => $defaults['newie_site_title_hover_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_site_title_hover_color_option]',
        array(
                'label' => esc_html__( 'Site Title Hover Color','newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 15,
             )
        )
    );

    $wp_customize->add_setting(
        'newie_theme_options[newie_site_tagline_color_option]',
        array(
                'default' => $defaults['newie_site_tagline_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_site_tagline_color_option]',
        array(
                'label' => esc_html__( 'Site Tagline Color','newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 16,
             )
        )
    );

    $wp_customize->add_setting(
        'newie_theme_options[newie_body_paragraph_color_option]',
        array(
                'default' => $defaults['newie_body_paragraph_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_body_paragraph_color_option]',
        array(
                'label' => esc_html__( 'Body Paragraph Color','newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 17,
              )
         )
    );

    $wp_customize->add_setting(
        'newie_theme_options[newie_heading_color_option]',
        array(
                'default' => $defaults['newie_heading_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_heading_color_option]',
        array(
                'label' => esc_html__( 'Heading Color','newie'),
                'description' 	=> esc_html__( 'H1-H6 color','newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 18,
             )
        )
    );



    $wp_customize->add_setting(
        'newie_theme_options[newie_link_color_option]',
        array(
                'default' => $defaults['newie_link_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_link_color_option]',
        array(
                'label' => esc_html__( 'Link Color','newie'),
                'section' => 'newie_basic_color_option',
                'priority' => 19,
             )
        )
    );


    $wp_customize->add_setting(
        'newie_theme_options[newie_link_hover_color_option]',
        array(
                'default' => $defaults['newie_link_hover_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_link_hover_color_option]',
             array(
                    'label' => esc_html__( 'Link Hover Color','newie'),
                    'section' => 'newie_basic_color_option',
                    'priority' => 20,
                  )
        )
    );

    /*
    -----------------------------------------------------------------------------*/

    /**
     * Advanced Color Options
     *
     * @since 1.0.0
     */
    $wp_customize->add_section(
        'newie_advanced_color_option',
        array(
                'title'		=> esc_html__( 'Advanced Color Options','newie'),
                'panel'     => 'newie_color_info',
                'priority'  => 5,
             )
    );

    $wp_customize->add_setting(
        'newie_theme_options[newie_menu_navbar_bg_color_option]',
        array(
                'default' => $defaults['newie_menu_navbar_bg_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_menu_navbar_bg_color_option]',
        array(
                'label' => esc_html__( 'Nav Bar Background Color','newie'),
                'section' => 'newie_advanced_color_option',
                'priority' => 13,
             )
        )
    );



    $wp_customize->add_setting(
        'newie_theme_options[newie_menu_active_color_option]',
        array(
                'default' => $defaults['newie_menu_active_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_menu_active_color_option]',
         array(
                'label' => esc_html__( 'Menu Active Color','newie'),
                'section' => 'newie_advanced_color_option',
                'priority' => 16,
              )
         )
    );

    $wp_customize->add_setting(
        'newie_theme_options[newie_menu_hover_color_option]',
        array(
                'default' => $defaults['newie_menu_hover_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_menu_hover_color_option]',
          array(
                    'label' => esc_html__( 'Menu Hover Color','newie'),
                    'section' => 'newie_advanced_color_option',
                    'priority' => 15,
               )
          )
    );

    $wp_customize->add_setting(
        'newie_theme_options[newie_menu_text_color_option]',
        array(
                'default' => $defaults['newie_menu_text_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_menu_text_color_option]',
           array(
                    'label' => esc_html__( 'Menu Text Color','newie'),
                    'section' => 'newie_advanced_color_option',
                    'priority' => 14,
                 )
        )
     );


    $wp_customize->add_setting(
        'newie_theme_options[newie_slider_color_option]',
        array(
                'default' => $defaults['newie_slider_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'newie_theme_options[newie_slider_color_option]',
           array(
                    'label' => esc_html__( 'Slider Text Color','newie'),
                    'section' => 'newie_advanced_color_option',
                    'priority' => 18,
                 )
        )
     );


$wp_customize->add_setting(
           
             'newie_separator',
                array(
                    'default' => '',
                    'sanitize_callback' => 'sanitize_text_field',
                )
        );


      $wp_customize->add_control(new Newie_Customize_Section_Separator(
            $wp_customize, 
                'newie_separator', 
                array(
                    'type'      => 'newie_separator',
                    'label' => esc_html__( 'Slider Box Background Color','newie'),
                    'section'   => 'newie_advanced_color_option',
                    'priority'  => 18,
                )                   
            )
        );


    $wp_customize->add_setting(
        'newie_theme_options[newie_slider_bg_color_option]',
        array(
                'default' => $defaults['newie_slider_bg_color_option'],
                'type'       => 'theme_mod',
               'capability'  => 'edit_theme_options',
          
             
              )
    );

    $wp_customize->add_control( new Newie_Alpha_Color_Control( $wp_customize,
        'newie_theme_options[newie_slider_bg_color_option]',
           array(
                    'section' => 'newie_advanced_color_option',
                    'priority' => 18,
                 )
        )
     );

  
 


