<?php
/**
 * Template part for displaying page content in page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package newie
 */

$newie_theme_options    = newie_get_theme_options();
$show_feature_img       = $newie_theme_options['newie_hide_image_option'];
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="newie-post-wrapper <?php if ( !has_post_thumbnail () ) { echo "no-feature-image"; } ?>">
	    <?php
	      if( $show_feature_img == 1 )
	      {
	    ?>
		   <!--post thumbnal options-->
			<div class="newie-post-thumb">
				<a href="<?php the_permalink(); ?>">
				 <?php the_post_thumbnail( 'full' ); ?>
				</a>
			</div><!-- .post-thumb-->
	<?php } ?>


		<div class="single-content-wrap">
			<div class="catagories">
				<?php newie_entry_footer(); ?>
			</div>

			<div class="entry-header">
				<?php
				if ( is_single() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
				endif; ?>
			</div><!-- .entry-header -->
			<div class="entry-footer">
				<?php
				if ( 'post' === get_post_type() ) : ?>
					<div class="entry-meta">
						<?php newie_posted_on(); ?>
					</div><!-- .entry-meta -->
				<?php
				endif; ?>
			</div>

			<div class="entry-content">
				<?php
					the_content( sprintf(
						/* translators: %s: Name of current post. */
						wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'newie' ), array( 'span' => array( 'class' => array() ) ) ),
						the_title( '<span class="screen-reader-text">"', '"</span>', false )
					) );

					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'newie' ),
						'after'  => '</div>',
					) );
				?>
			</div><!-- .entry-content -->
		</div>
	</div>	
</article><!-- #post-## -->