<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package newie
 */
global $newie_theme_options;
$no_of_column         = $newie_theme_options['newie_columns_option'];
$description_length   = $newie_theme_options['newie_description_length_option'];
$readmore_text        = $newie_theme_options['newie_read_more_text_blog_archive_option'];

?>

	<article class="<?php echo esc_attr( $no_of_column ) .' '.join( ' ', get_post_class('masonry-entry') ) ?>" id="post-<?php the_ID(); ?>" >
		<div class="newie-post-wrapper <?php if ( !has_post_thumbnail () ) { echo "no-feature-image"; } ?>">
		   <!--post thumbnal options-->
		   	<?php if ( has_post_thumbnail () ) 
		   	{ ?>
				<div class="newie-post-thumb post-thumb">
					<a href="<?php the_permalink(); ?>">
					 <?php the_post_thumbnail( 'full' ); ?>
					</a>
				</div><!-- .post-thumb-->
	  		<?php } ?>
			<div class="content-wrap">
				<div class="catagories">
					<?php newie_entry_blog(); ?>
				</div>

				<div class="entry-header">
					<?php
					if ( is_single() ) :
						the_title( '<h1 class="entry-title">', '</h1>' );
					else :
						the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
					endif; ?>
				</div><!-- .entry-header -->

				<div class="entry-content">
					  <?php echo esc_html( wp_trim_words( get_the_content(),   $description_length, ' ' ) ); ?>
				</div><!-- .entry-content -->
			</div>

			<div class="entry-footer">
				<div class="row">
					<div class="col-sm-6 col-md-6 authorinfo text-left">
						<?php
						if ( 'post' === get_post_type() ) : ?>
							<div class="entry-meta">
								<?php newie_blog_posted_on(); ?>
							</div><!-- .entry-meta -->
						<?php
						endif; ?>
					</div>
					<?php
	                  if(!empty($readmore_text ))
	                  {
					?>
						<div class="col-sm-6 col-md-6 more-area text-right">
							<a href="<?php the_permalink(); ?>">
							<?php echo esc_html ( $readmore_text ); ?> <i class="fa fa-angle-double-right"></i></a>
						</div>
				<?php  } ?>		
				</div>
			</div>
		</div>
	</article><!-- #post-## -->

